For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
CommunitySign Up
HomeGuidesVerbsAPI ReferenceSelf-HostingClient SDKsTutorialsChangelog
HomeGuidesVerbsAPI ReferenceSelf-HostingClient SDKsTutorialsChangelog
    • Introduction
  • REST Call Control
  • REST Platform Management
      • GETcheck if a limited-availability entity such as a subdomain, email or phone number is already in use
      • GETlist accounts
      • POSTcreate an account
      • GETretrieve account
      • PUTupdate account
      • DELdelete an account
      • GETget webhook signing secret, regenerating if requested
      • POSTadd or change the sip realm
      • GETretrieve call capacity and other limits from the account
      • POSTcreate a limit for an account
      • GETget all api keys for an account
      • POSTcreate an API key for an account
  • Webhooks
    • GETNew Call
    • POSTNew Call
    • POSTClient Authentication
    • POSTNew Client Tool Request
  • Websocket API
LogoLogo
CommunitySign Up
REST Platform ManagementAccounts

create an account

POST
https://api.jambonz.cloud/v1/Accounts
POST
/v1/Accounts
$curl -X POST https://api.jambonz.cloud/v1/Accounts \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{
> "name": "foobar",
> "service_provider_sid": "85f9c036-ba61-4f28-b2f5-617c23fa68ff"
>}'
1{
2 "sid": "9d26a637-1679-471f-8da8-7150266e1254"
3}
Was this page helpful?
Previous

retrieve account

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Request

This endpoint expects an object.
namestringRequired
account name
service_provider_sidstringRequiredformat: "uuid"
sip_realmstringOptional
sip realm for registration
registration_hookobjectOptional
authentication webhook for registration
queue_event_hookobjectOptional
webhook called when members join or leave a queue

Response

account successfully created
sidstring

Errors

400
Bad Request Error
422
Unprocessable Entity Error
500
Internal Server Error